Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class AbstractMarshaller.ClassMapping

    java.lang.Object
      org.jboss.xml.binding.AbstractMarshaller.ClassMapping

Enclosing class:
  AbstractMarshaller

protected class AbstractMarshaller.ClassMapping
extends Object

Field Summary
`Class` | `cls`
`String` | `namespaceUri`
`GenericObjectModelProvider` | `provider`
`String` | `root`
`Reader` | `schemaReader`
`String` | `schemaUrl`

Constructor Summary
`AbstractMarshaller.ClassMapping(Class cls, String root, String namespaceUri, Reader schemaReader, String schemaUrl, GenericObjectModelProvider provider)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cls

    public final Class cls

### root

    public final String root

### namespaceUri

    public final String namespaceUri

### schemaReader

    public final Reader schemaReader

### schemaUrl

    public final String schemaUrl

### provider

    public final GenericObjectModelProvider provider

Constructor Detail

### AbstractMarshaller.ClassMapping

    public AbstractMarshaller.ClassMapping(Class cls,
                                           String root,
                                           String namespaceUri,
                                           Reader schemaReader,
                                           String schemaUrl,
                                           GenericObjectModelProvider provider)

Method Detail

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.